Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jul 2012 20:16:05 +0300

[Please always CC the bug address, so that all this information gets
recorded by the bug tracker.]

> From: Steffan <[email-masked]>
> Date: Thu, 05 Jul 2012 17:39:55 +0200
> 
> When I chose the input-method "arabic" and then type only the TWO characters "u" then "X" (capital Letter) I get
> - for 'u' : as expected "Ayin" (it looks like a mirror-inverted "3")
> - and for 'X' : I get nothing! It should appear the diacritic sign "Sukun" above the letter "Ayin". ("Sukun" looks like a small circle.)
 
Yes, I see this also.  Strange, it sounds like we compose these two
characters, but the resulting grapheme cluster is incorrect.  I hope
Handa-san (CC'ed) could look into this.

> THE BUG SIMILAR IN HEBREW:
> 
> It's strange:
> 
> I choose "hebrew-full" as input-method.
> 
> - After typing 'f' I get KAF
> - then by typing d I get GIMMEL
> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUBUTS) not below the GIMMEL but the KAF!
> - and If I then type anything else (like DALET) the three points disappear!

This I don't see on my Windows machine.  Hebrew is displayed correctly
for me.  This is in 'emacs -Q", right?  If not, please try in "emacs -Q".

> I Linux I installed some additional packages two display arabic correctly. Maybe I have to install packages for windows - but wich? 

No additional packages are needed for Windows, the Uniscribe shaping
engine, which Emacs uses on Windows, supports everything.